MFC033 — Gerenciamento Boleto Rápido Junsoft
Fonte
- Source:
source/MFC033/
Objetivo
O MFC033 e o módulo responsavel pela geracao rapida de boletos de cobranca via API bancaria (Boleto Rapido Junsoft). Ele permite consultar contas a receber pendentes, selecionar os titulos desejados e enviar diretamente ao banco/financeira para registro de boletos, geracao de PIX de cobranca ou alteracao/cancelamento de boletos ja registrados.
Diferente do processo tradicional de geracao de remessa em arquivo CNAB, este módulo utiliza integracao via API para comunicacao direta com os bancos e financeiras, permitindo o registro instantaneo de boletos e a obtencao imediata do link para acesso ao boleto e QR Code PIX.
O módulo atende ao setor financeiro e de cobranca da empresa, agilizando o processo de emissao de boletos e cobranças PIX. Suporta operacoes de geracao de novos boletos, alteracao de registro, reimpressao e cancelamento de boletos ja registrados, alem de integracao com NFSe para validacao de notas fiscais.
Funcionalidades
- Consulta e Filtragem de Titulos
- Selecao e Geracao de Boletos
- Operacoes com Boletos Registrados
- Tipo de Cobranca Adaptativa
- Marcacao de Contas Tipo Vendor
Mensagens exibidas
Levantadas de source/MFC033/ pela camada 0 (commit 96fc51e236).
Mais 36 mensagens com texto literal no código: MFC033.
Tabelas de Escrita (INSERT/UPDATE/DELETE)
| Tabela | Operacoes |
|---|---|
| BOLETOIMPRESSO | INSERT |
| CONFBOLETO | DELETE, INSERT, SELECT |
| CONTAS | DELETE, INSERT, SELECT, UPDATE |
| PESSOA | DELETE, INSERT, SELECT, UPDATE |
| TIPOCONTA | DELETE, INSERT, SELECT, UPDATE |
| TIPOPESSOA | DELETE, INSERT, SELECT, UPDATE |
Tabelas de Leitura (SELECT)
| Tabela | Operacoes |
|---|---|
| AGENCIA | SELECT |
| BANCO | SELECT |
| BOLETO | SELECT |
| CONFIGNFSE | SELECT |
| CONTACORPESSOA | SELECT |
| EMPRESA | SELECT |
| FORMAPAGTO | SELECT |
| IMPRESSORA | SELECT |
| JURO | SELECT |
| NFSE | SELECT |
| NOTA | SELECT |
| PARMFINANC | SELECT |
| PIX | SELECT |
| VENDEDOR | SELECT |
Procedures Chamadas
| Procedure | Tabelas Acessadas |
|---|---|
| GERA_SEQUENCIA | SEQUENCIA (SELECT/UPDATE) |
| VERIFICA_NOTA_FISCAL | MODELONF (SELECT), NOTA (SELECT) |
Tabelas via Procedures (acesso indireto)
| Tabela | Operacoes |
|---|---|
| MODELONF | SELECT |
| NOTA | SELECT |
| SEQUENCIA | SELECT, UPDATE |
Dependencias Aferentes (quem alimenta esta tela)
Telas que escrevem em tabelas lidas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| MFC004 | Pagamento / Recebimento de Contas | CONTAS |
| MFC029 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MNF029 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
| CFC010 | Aviso de Liquidação de Duplicatas no SCPC | CONTAS |
| MPD011 | Confirmação Ordem Carregamento | CONTAS |
| MFC019 | Reparcelamento de Contas | CONTAS |
| MFC032 | Gerenciamento de Títulos a Pagar | CONTAS |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MFC006 | Estorno de Lançamento de Caixa Avulso / Cheque | CONTAS |
| MPD019 | Gerenciamento de Contrato/Romaneio Obras | CONTAS |
JunsoftServiceFatApp | CONTAS | |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| CPD004 | CONTAS | |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| CNF002 | Troca de Mercadorias | CONTAS |
| MNF033 | Faturamento Agrupado | CONTAS |
| MNF005 | Cancelamento de Notas Fiscais | CONTAS |
| MPD012 | Cancelamento Ordem Carregamento | CONTAS |
| MNF023 | Gerenciamento de Contas de Contratos | CONTAS |
| TRC037 | CONTAS | |
| MNF032 | Importação de XML Transmitido | CONTAS |
| MPD008 | Ordem de Produção Avulsa | CONTAS |
| MFC021 | CONTAS | |
| MFC007 | Estorno de Pagamento / Recebimento de Contas | CONTAS |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
| MNF010 | Gerar Mensalidades | CONTAS |
| ... | +74 telas |
Dependencias Eferentes (quem consome dados desta tela)
Telas que leem tabelas escritas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| LCX041 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MRC026 | Agenda de Pneus | CONTAS |
| LCX040 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
RCA004 | Curva ABC de Fornecedores | CONTAS |
TRD012 | CONTAS | |
| RFC013 | Posição Financeira por Período | CONTAS |
| RFC036 | Relação de Receitas x Despesas sobre Duplicatas com Gráfico | CONTAS |
| LNF501 | CONTAS | |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MCB003 | Integração Contábil | CONTAS |
| RPD006 | Custos sobre Ordem de Serviço | CONTAS |
| RFC017 | Conciliação de Caixa / Banco | CONTAS |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| LNF141 | CONTAS | |
LDP006 | CONTAS | |
| RPD033 | CONTAS | |
| LNF165 | CONTAS | |
| LNF015 | CONTAS | |
MOF008 | Desbloqueio de Ordens de Serviço - Financeiro | CONTAS |
LDP013 | CONTAS | |
LDP014 | CONTAS | |
LDP022 | CONTAS | |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
LDP028 | CONTAS | |
MCA003 | Transferências entre Contratos | CONTAS |
| ... | +323 telas |